using System;

internal sealed class Delegate389 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate389 delegate389_1)
	{
		return delegate389_1(object_0);
	}

	public extern Delegate389(object object_0, IntPtr intptr_0);

	static Delegate389()
	{
		Class10.smethod_13(typeof(Delegate389).TypeHandle);
	}

	internal static Delegate389 delegate389_0;
}
